Index: PostScript-Simple-0.06/lib/PostScript/Simple.pm
--- PostScript-Simple-0.06/lib/PostScript/Simple.pm.orig	2005-05-04 16:42:28.187771138 +0200
+++ PostScript-Simple-0.06/lib/PostScript/Simple.pm	2005-05-04 16:58:39.923776000 +0200
@@ -1322,10 +1322,21 @@
 
   my ($x, $y, $r) = @_;
 
-  unless (@_ == 3)
+  if (@_ == 4)
   {
-    $self->_error("circle: wrong number of arguments");
-    return 0;
+    if (defined($opt{'filled'}))
+    {
+      $opt{'filled'} = 1;
+    }
+    else
+    {
+      $opt{'filled'} = 0;
+    }
+  }
+  elsif (@_ != 3)
+  {
+  	$self->_error( "wrong number of args for line" );
+  	return 0;
   }
 
   if (!$self->{usedcircle})
@@ -1378,7 +1385,7 @@
 
   my ($x, $y, $r, $a, $text) = @_;
 
-  unless (@_ == 5) {
+  unless (@_ == 5 || @_ == 6) {
     $self->_error("circletext: wrong number of arguments");
     return 0;
   }
@@ -1499,16 +1506,23 @@
 
   my ($x1, $y1, $x2, $y2) = @_;
 
-  unless (@_ == 4) {
-  	$self->_error("box: wrong number of arguments");
-  	return 0;
+  if (@_ == 5)
+  {
+    if (defined($opt{'filled'}))
+    {
+      $opt{'filled'} = 1;
+    }
+    else
+    {
+      $opt{'filled'} = 0;
+    }
   }
-
-  if (!defined($opt{'filled'}))
+  elsif (@_ != 4)
   {
-    $opt{'filled'} = 0;
+  	$self->_error( "wrong number of args for line" );
+  	return 0;
   }
-  
+
   unless ($self->{usedbox})
   {
     $self->{psfunctions} .= "/box {
@@ -1606,7 +1616,7 @@
     %opt = %{; shift};
   }
   
-  unless ( @_ == 3 )
+  unless ( @_ == 3 || @_ == 4 )
   { # check required params first
   	$self->_error("text: wrong number of arguments");
   	return 0;
@@ -1818,7 +1828,7 @@
 
   my ($file, $x1, $y1, $x2, $y2) = @_;
 
-  unless (@_ == 5) {
+  unless (@_ == 5 || @_ == 6) {
     $self->_error("importepsfile: wrong number of arguments");
     return 0;
   }
